Bug 1259554 - Changing the Storage Node JMX port does not update the JMX connection URL
Changing the Storage Node JMX port does not update the JMX connection URL
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Core Server, Storage Node (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.14
Assigned To: Thomas Heute
Mike Foley
Depends On:
Blocks: 1259555
  Show dependency treegraph
Reported: 2015-09-02 22:58 EDT by John Sanda
Modified: 2015-11-01 19:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1259555 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Sanda 2015-09-02 22:58:02 EDT
Description of problem:
The Storage Node administration exposes the JMX port in both the admin UI and in the CLI. This is the port on which the Storage Node listens for JMX requests. Most management of the Storage Node is done via JMX. If you change the JMX port in the admin UI for example, the underlying connection URL does not get updated. The Storage Node is reported down, and management/monitoring of the Storage Node is broken. This can be fixed by going to the Storage Node resource in the inventory UI, then go to the connection settings, and then update the Manager URL property with the new port. This will fix the JMX connection problem, but the Jmx Port property in the connection settings will still show the original port.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 John Sanda 2015-09-02 23:14:36 EDT
I left out a key detail in the description. The jmx_port property in cassandra-jvm.properties does get updated and the storage node gets restarted so that the port change takes effect. The agent can no longer connect to the storage node via JMX, and it is reported down.
Comment 2 Libor Zoubek 2015-09-03 07:17:57 EDT
jmx_port from cassandra-jvm.properties always shows up on command line. So I think it is not relevant.

I am going to fix resource upgrade code within StorageNodeDiscoveryComponent
Comment 3 Libor Zoubek 2015-09-03 08:17:38 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/021df29a5
time:    2015-09-03 14:14:27 +0200
commit:  021df29a527b6c3e334abe305005038915883314
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1259554 - Changing the Storage Node JMX port does not update the JMX 
         connection URL
         Fix upgrade facet impl. of StorageNodeDiscoveryComponent. We're
         now able to detect JMX port change at agent/pc startup time

Note You need to log in before you can comment on or make changes to this bug.